# Add Discount to Cart

Add discounts to a cart given its `cart_id`.

{% hint style="info" %}
Discounts are added at a per merchant level and each merchant is required to have created this discount code in their E-Commerce platform prior to being applied through Violet.\
You can read more about discount codes [here](/prism/checkout-guides/discounts.md).
{% endhint %}

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/checkout/cart/{cart\_id}/discounts" method="post" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-b77a2b241ffb937bc7e7164b2dd2c53cb538ac3c%2Forder-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-discounts/add-discount-to-cart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
